import os
from setuptools import setup, find_packages

version = '0.2dev'

install_requires =[
    'setuptools',
    'grok',
    'grokui.admin',
    'hurry.query',
    'hurry.workflow',
    # Add extra requirements here
    'zope.xmlpickle',
    'hurry.yui',
    'hurry.zoperesource',
    'zc.sourcefactory',
    'megrok.layout',
    'zope.app.authentication', # BBB: During switch to grok 1.1
    ],

tests_require = [
    'z3c.testsetup',
    'zope.app.testing',
    'zope.testbrowser',
    'zope.testing',
    ]

def read(*rnames):
    return open(os.path.join(os.path.dirname(__file__), *rnames)).read()

long_description = (
    read('README.txt')
    + '\n\n'
    + read('src', 'waeup', 'sirp', 'README.txt')
    + '\n\n'
    + read('CHANGES.txt')
    + '\n\n'
    + 'Download\n'
    + '********\n'
    )

setup(name = 'waeup.sirp',
      version = version,
      description = "A student online information and  registration portal",
      long_description = long_description,

      keywords = "portal waeup sirp student university registration grok zope",
      # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
      classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Education',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Programming Language :: Python',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Framework :: Zope3',
        'Topic :: Education',
        'Topic :: Internet :: WWW/HTTP',
        ],
      author = "The WAeUP team.",
      author_email = "",
      url = "http://www.waeup.org/",
      license = "GPL",
      package_dir = {'': 'src'},
      packages= find_packages('src'),
      namespace_packages = ['waeup',],
      include_package_data = True,
      zip_safe = False,
      install_requires = install_requires,
      tests_require = tests_require,
      extras_require = dict(
        test = tests_require,
        docs = ['Sphinx',
                'z3c.recipe.sphinxdoc',
                ],
        ),
      entry_points="""
      # Add entry points here
      """,
      )
